BATCH Create customers
Creates customers Items in:
create : will be created.
update : will be updated.
delete: will be deleted.
upsert: will create or update if needed.
The response http status is either:
200: all items in request was processed successfully,
207: one or more item was processed with an error.
Required permissions: CUSTOMER_BATCH
post/tenants/{tenantUid}/customers/batch
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Body
Responses
200
Example response
application/json
207
Response for PriceBatchRequest. 200: All items in request was processed with no errors 207: One or more items in request returned an error
application/json
post/tenants/{tenantUid}/customers/batch
POST /v2/tenants/{tenantUid}/customers/batch HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1934
{
"create": [
{
"address": "text",
"city": "text",
"companyName": "text",
"countryCode": "text",
"customerType": "COMPANY",
"email": "text",
"externalId": "text",
"firstname": "text",
"lastname": "text",
"mobile": "text",
"postalCode": "text",
"vatNumber": "text",
"pricelistUid": "text",
"origin": "text",
"loyaltyId": "text",
"credit": {
"limit": 1
},
"paymentTerms": 1,
"internalNote": "text",
"accountManager": {
"tenantUserUid": "text"
},
"customerGroupUids": [
"text"
],
"ehf": {
"enabled": true,
"address": "text"
},
"defaultStoreUid": "text",
"representedStoreUid": "text",
"customerParentUid": "text",
"customerUid": "text",
"consents": [
{
"source": "text",
"status": true,
"consentUid": "text"
}
]
}
],
"delete": [
{
"customerUid": "text"
}
],
"update": [
{
"address": "text",
"city": "text",
"companyName": "text",
"countryCode": "text",
"customerType": "COMPANY",
"email": "text",
"externalId": "text",
"firstname": "text",
"lastname": "text",
"mobile": "text",
"postalCode": "text",
"vatNumber": "text",
"pricelistUid": "text",
"origin": "text",
"loyaltyId": "text",
"credit": {
"limit": 1
},
"paymentTerms": 1,
"internalNote": "text",
"accountManager": {
"tenantUserUid": "text"
},
"customerGroupUids": [
"text"
],
"ehf": {
"enabled": true,
"address": "text"
},
"defaultStoreUid": "text",
"representedStoreUid": "text",
"customerParentUid": "text",
"customerUid": "text",
"consents": [
{
"source": "text",
"status": true,
"consentUid": "text"
}
]
}
],
"upsert": [
{
"address": "text",
"city": "text",
"companyName": "text",
"countryCode": "text",
"customerType": "COMPANY",
"email": "text",
"externalId": "text",
"firstname": "text",
"lastname": "text",
"mobile": "text",
"postalCode": "text",
"vatNumber": "text",
"pricelistUid": "text",
"origin": "text",
"loyaltyId": "text",
"credit": {
"limit": 1
},
"paymentTerms": 1,
"internalNote": "text",
"accountManager": {
"tenantUserUid": "text"
},
"customerGroupUids": [
"text"
],
"ehf": {
"enabled": true,
"address": "text"
},
"defaultStoreUid": "text",
"representedStoreUid": "text",
"customerParentUid": "text",
"customerUid": "text",
"consents": [
{
"source": "text",
"status": true,
"consentUid": "text"
}
]
}
]
}{
"create": {
"errors": [
{
"errorCode": "text",
"message": "text",
"customerUid": "text"
}
],
"success": 1
},
"delete": {
"errors": [
{
"errorCode": "text",
"message": "text",
"customerUid": "text"
}
],
"success": 1
},
"update": {
"errors": [
{
"errorCode": "text",
"message": "text",
"customerUid": "text"
}
],
"success": 1
},
"upsert": {
"errors": [
{
"errorCode": "text",
"message": "text",
"customerUid": "text"
}
],
"success": 1
}
}Last updated
Was this helpful?

